Redmine - Defect #10029

creating projects fail
2012-01-18 18:16 - Charles Monteiro

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: No feedback Affected version:

Description

| get the following when attempting to create a new project or sub-project, apparently the code is passing a null to table field which is
specified to be NOT NULL. We are on:
Redmine 1.2.1.stable.6446 (PostgreSQL)

all feedback appreciated.
stack:

ActiveRecord::Statementinvalid (RuntimeError: ERROR  C23502 Mnull value in column "status" violates not-null constraint
FexecMai

n.c L2250 RExecConstraints: INSERT INTO "projects" ("name", "created_on", "status", "updated_on", "Ift", "description”,
"homepage"

, "is_public", "parent_id", "identifier", "rgt") VALUES('TB Services', '2012-01-12 10:35:43.566336', NULL, '2012-01-12
10:35:43.566336",

67, 'External enhancements in support of TB processes', ", 'f', NULL, 'tbservices', 68) RETURNING "id"):
app/controllers/projects_controller.rb:79:in “create'

passenger (3.0.8) lib/phusion_passenger/rack/request_handler.rb:96:in "process_request'

passenger (3.0.8) lib/phusion_passenger/abstract_request_handler.rb:513:in “accept_and_process_next_request’
passenger (3.0.8) lib/phusion_passenger/abstract_request_handler.rb:274:in “main_loop'

passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in “start_request_handler'
passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in “send’

passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in “handle_spawn_application’
passenger (3.0.8) lib/phusion_passenger/utils.rb:479:in “safe_fork'

passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in “handle_spawn_application’
passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:357:in "__send_ '

passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:357:in “server_main_loop'

passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:206:in “start_synchronously’

passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:180:in “start'

passenger (3.0.8) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in “start’

passenger (3.0.8) lib/phusion_passenger/classic_rails/framework_spawner.rb:268:in “handle_spawn_application’
passenger (3.0.8) lib/phusion_passenger/abstract_server_collection.rb:132:in “lookup_or_add'

passenger (3.0.8) lib/phusion_passenger/classic_rails/framework_spawner.rb:263:in “handle_spawn_application'
passenger (3.0.8) lib/phusion_passenger/abstract_server_collection.rb:82:in “synchronize'

passenger (3.0.8) lib/phusion_passenger/abstract_server_collection.rb:79:in “synchronize'

passenger (3.0.8) lib/phusion_passenger/classic_rails/framework_spawner.rb:261:in “handle_spawn_application'
passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:357:in°__send__'

passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:357:in “server_main_loop'

passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:206:in “start_synchronously’

passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:180:in “start'

passenger (3.0.8) lib/phusion_passenger/classic_rails/framework_spawner.rb:93:in “start'

passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:219:in "spawn_rails_application’

passenger (3.0.8) lib/phusion_passenger/abstract_server_collection.rb:132:in “lookup_or_add'

passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:214:in "spawn_rails_application’

passenger (3.0.8) lib/phusion_passenger/abstract_server_collection.rb:82:in “synchronize'

passenger (3.0.8) lib/phusion_passenger/abstract_server_collection.rb:79:in “synchronize'

passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:213:in "spawn_rails_application’

passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:132:in “spawn_application’

passenger (3.0.8) lib/phusion_passenger/spawn_manager.rb:275:in "handle_spawn_application’

passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:357:in "__send_ '

passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:357:in “server_main_loop'

passenger (3.0.8) lib/phusion_passenger/abstract_server.rb:206:in “start_synchronously’
passenger (3.0.8) helper-scripts/passenger-spawn-server:99

Rendering /var/www/redmine-1.2/public/500.html (500 Internal Server Error)

History

#1 - 2012-01-18 19:21 - Etienne Massip
Any plugin, which Redmine version, etc. (please give details according to SubmittingBugs)?

#2 - 2012-01-18 20:31 - Charles Monteiro

Redmine version had already been specified, see above description.
Redmine 1.2.1.stable.6446 (PostgreSQL)

ruby version: ruby 1.8.6 (2010-02-05 patchlevel 399) [x86_64-linux]
rails version: Rails 2.3.11

Postgres : psql (PostgreSQL) 8.4.9
Plugins:

Redmine Question plugin

This is a plugin for Redmine that will allow users to ask questions to each other in issue notes
https://projects.littlestreamsoftware.com/projects/redmine-questions

Eric Davis 0.3.0

MyPage custom queries

Adds custom queries onto My Page screen

Milan Stastny of ALVILA SYSTEMS 0.0.1

Screenshot Paste

Allow pasting a screenshot from the clipboard on the issue form.

Jean-Philippe Lang 1.1.1

#3 - 2012-01-21 10:53 - Jean-Philippe Lang

Can you check that the status column has a default value set to 1 in your projects table definition?

#4 - 2020-12-10 14:54 - Go MAEDA
- Status changed from New to Closed

- Resolution set to No feedback

2025-05-01 22


https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
https://projects.littlestreamsoftware.com/projects/redmine-questions
http://www.tcpdf.org

